Public Attributes | List of all members
uds_init_t Struct Reference
BLE Services » User Data Service (UDS) » Structures

User Data Service init structure. More...

`#include <uds.h>`

Collaboration diagram for uds_init_t:
[legend]

## Public Attributes
uds_evt_handler_t | evt_handler
| User Data Service event handler. More...
uint32_t | char_mask
| Initialize the mask of supported characteristics, and configured with Characteristics Mask. More...
uint8_t | user_index
| Initialize the user index. More...
uint8_t | db_change_incr_val
| Initialize the Database Change Increment value. More...
uds_regi_user_data_flag_t | uds_regi_user_data_flag
| Initialize the Registered User Data Flags structure. More...
uds_chars_flag_t | uds_chars_flag
| Initialize the UDS Characteristics Flags structure. More...

## Detailed Description

User Data Service init structure.

This contains all option and data needed for initialization of the service.

Definition at line 270 of file uds.h.

## Member Data Documentation

## ◆ char_mask

uint32_t uds_init_t::char_mask

Initialize the mask of supported characteristics, and configured with Characteristics Mask.

Definition at line 273 of file uds.h.

## ◆ db_change_incr_val

uint8_t uds_init_t::db_change_incr_val

Initialize the Database Change Increment value.

Definition at line 275 of file uds.h.

## ◆ evt_handler

uds_evt_handler_t uds_init_t::evt_handler

User Data Service event handler.

Definition at line 272 of file uds.h.

## ◆ uds_chars_flag

uds_chars_flag_t uds_init_t::uds_chars_flag

Initialize the UDS Characteristics Flags structure.

Definition at line 277 of file uds.h.

## ◆ uds_regi_user_data_flag

uds_regi_user_data_flag_t uds_init_t::uds_regi_user_data_flag

Initialize the Registered User Data Flags structure.

Definition at line 276 of file uds.h.

## ◆ user_index

uint8_t uds_init_t::user_index

Initialize the user index.

Definition at line 274 of file uds.h.

The documentation for this struct was generated from the following file:

- uds.h